﻿using Windows.UI.Xaml.Media.Animation;

namespace TestProject
{
    /// <summary>
    /// 커스텀 완화 함수
    /// </summary>
    public class CustomEasingFunction
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 명칭 - Name

        /// <summary>
        /// 명칭
        /// </summary>
        public string Name { get; private set; }

        #endregion
        #region 완화 함수 (베이스) - EasingFunctionBase

        /// <summary>
        /// 완화 함수 (베이스)
        /// </summary>
        public EasingFunctionBase EasingFunctionBase { get; private set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - CustomEasingFunction(name, easingFunctionBase)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="name">명칭</param>
        /// <param name="easingFunctionBase">완화 함수 (베이스)</param>
        public CustomEasingFunction(string name, EasingFunctionBase easingFunctionBase)
        {
            Name               = name;
            EasingFunctionBase = easingFunctionBase;
        }

        #endregion
    }
}